Magick++: Magick::DrawableLine Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableLine Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableLine:
[legend]
Collaboration diagram for Magick::DrawableLine:
[legend]

## Public Member Functions
| DrawableLine (double startX_, double startY_, double endX_, double endY_)
| ~DrawableLine (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | startX (double startX_)
double | startX (void) const
void | startY (double startY_)
double | startY (void) const
void | endX (double endX_)
double | endX (void) const
void | endY (double endY_)
double | endY (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1121 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableLine()

Magick::DrawableLine::DrawableLine | ( | double | startX_,
|  | double | startY_,
|  | double | endX_,
|  | double | endY_
| ) |  |
| inline

Definition at line 1124 of file Drawable.h.

## ◆ ~DrawableLine()

Magick::DrawableLine::~DrawableLine | ( | void |  | ) |

Definition at line 853 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableLine::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 860 of file Drawable.cpp.

## ◆ endX() [1/2]

void Magick::DrawableLine::endX | ( | double | endX_ | ) |
| inline

Definition at line 1158 of file Drawable.h.

## ◆ endX() [2/2]

double Magick::DrawableLine::endX | ( | void |  | ) | const
| inline

Definition at line 1162 of file Drawable.h.

## ◆ endY() [1/2]

void Magick::DrawableLine::endY | ( | double | endY_ | ) |
| inline

Definition at line 1167 of file Drawable.h.

## ◆ endY() [2/2]

double Magick::DrawableLine::endY | ( | void |  | ) | const
| inline

Definition at line 1171 of file Drawable.h.

## ◆ operator()()

void Magick::DrawableLine::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 856 of file Drawable.cpp.

## ◆ startX() [1/2]

void Magick::DrawableLine::startX | ( | double | startX_ | ) |
| inline

Definition at line 1140 of file Drawable.h.

## ◆ startX() [2/2]

double Magick::DrawableLine::startX | ( | void |  | ) | const
| inline

Definition at line 1144 of file Drawable.h.

## ◆ startY() [1/2]

void Magick::DrawableLine::startY | ( | double | startY_ | ) |
| inline

Definition at line 1149 of file Drawable.h.

## ◆ startY() [2/2]

double Magick::DrawableLine::startY | ( | void |  | ) | const
| inline

Definition at line 1153 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp